Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® Enterprise Service 10

Reply
Super Contributor
swotam
Posts: 323
Registered: ‎05-10-2011
Accepted Solution

iOS 6 Support in UDS

Apple has confirmed a press event next Wednesday (Sept 12) where they will no doubt announce the iPhone 5 (or whatever it ends up being called). As part of this announcement I suspect we'll see the Gold Master release of iOS6 with public availability shortly before general availability of the new iPhone.

 

I've been testing iOS6 and it works with UDS activations provided that Platform is set to All, or Permitted Devices are set to All for iOS when activating a device. If you currently restrict iOS devices based on iOS version, you cannot activate an iOS6 device in this scenario until RIM updates UDS to include this version in the list.

 

Does RIM plan to update the UDS product to support iOS6 in a timely manner (i.e. this month), or will it be a lengthy wait until the product gets updated? I'm hoping for the former but expecting the latter.

 

Is there any way to update the list of supported OS versions without releasing a full MR or SP?

 

Anyone from RIM care to comment?

----------
BESX 5.0.4, SQL 2008, Exchange 2010 SP2 RU4a
Please use plain text.
New Member
tzacerkowny
Posts: 1
Registered: ‎09-06-2012
My Carrier: Rogers

Re: iOS 6 Support in UDS

Funny, because the whole reason I just signed up to this support was to go looking for info on this matter.

Its good to know that iOS 6.0 has been tested by someone at least with UDS.  Secondly, what about Android 4.1 ? It has been out since March and is still not officially supported.  Has anyone tried Android 4.1 (Jelly Bean) activations with UDS ??

Please use plain text.
Super Contributor
swotam
Posts: 323
Registered: ‎05-10-2011

Re: iOS 6 Support in UDS

I did a bit more digging and it looks like you can use iOS Other to allow iOS6 devices for the time being. I'd assume that Android Other would work for Jelly Bean.

It worries me that RIM is required to update the product to update these listings, especially considering that they don't have a good track record for being prompt about such things. It would be nice if we could add this ourselves (to a config file somewhere) rather than waiting for RIM, since users won't wait and will just update on their own as soon as the device prompts them.
----------
BESX 5.0.4, SQL 2008, Exchange 2010 SP2 RU4a
Please use plain text.
BlackBerry Technical Advisor
-BD-
Posts: 474
Registered: ‎05-15-2008
My Carrier: Rogers

Re: iOS 6 Support in UDS

UDS 6.1 MR1 will add support for IOS 6 and Android 4.1.1.

Please use plain text.
Super Contributor
swotam
Posts: 323
Registered: ‎05-10-2011

Re: iOS 6 Support in UDS

Thanks for the info, is there any rough estimate on when this will be ready to go?
----------
BESX 5.0.4, SQL 2008, Exchange 2010 SP2 RU4a
Please use plain text.
BlackBerry Technical Advisor
-BD-
Posts: 474
Registered: ‎05-15-2008
My Carrier: Rogers

Re: iOS 6 Support in UDS

It is now out.  It was released last week.

Please use plain text.
Super Contributor
swotam
Posts: 323
Registered: ‎05-10-2011

Re: iOS 6 Support in UDS

Got it, thanks.
----------
BESX 5.0.4, SQL 2008, Exchange 2010 SP2 RU4a
Please use plain text.